diff --git a/src/ws/cockpitsshtransport.c b/src/ws/cockpitsshtransport.c
index 94f7a356c02b..a3c06e87a0b5 100644
--- a/src/ws/cockpitsshtransport.c
+++ b/src/ws/cockpitsshtransport.c
@@ -1017,7 +1017,8 @@ cockpit_ssh_source_dispatch (GSource *source,
        */
       if (msg && (strstr (msg, "disconnected") ||
                   strstr (msg, "SSH_MSG_DISCONNECT") ||
-                  strstr (msg, "Socket error: Success")))
+                  strstr (msg, "Socket error: Success") ||
+                  strstr (msg, "Socket error: Connection reset by peer")))
         {
           g_debug ("%s: failed to process channel: %s", self->logname, msg);
           close_immediately (self, "terminated");
